GET api/IncomingSecureMessages/{id}
Get information about an incoming secure message.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Incoming secure message's unique ID. |
globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
IncomingSecureMessageModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
ID of the incoming secure message. |
globally unique identifier |
None. |
| AccountId |
Account Id of the incoming secure message. |
globally unique identifier |
None. |
| CreationDate |
Creation date. |
date |
None. |
| PatientId |
Patient Id. |
globally unique identifier |
None. |
| PatientExternalId |
Patient External ID. |
string |
None. |
| FromRepresentative |
From representative. |
boolean |
None. |
| PatientPrefix |
Patient prefix. |
string |
None. |
| PatientFirstName |
Patient first name. |
string |
None. |
| PatientMiddleName |
Patient middle name. |
string |
None. |
| PatientLastName |
Patient last name. |
string |
None. |
| PatientSuffix |
Patient suffix. |
string |
None. |
| PatientFullName |
Patient full name. |
string |
None. |
| PatientEmailAddress |
Patient email address. |
string |
None. |
| SecureRecipientExternalId |
Secure recipient's unique ID on integrating system (Required).. |
string |
None. |
| SecureRecipientName |
Secure recipient name. |
string |
None. |
| Subject |
Subject. |
string |
None. |
| SentDate |
Sent date. |
date |
None. |
| MessageRead |
Message read. |
boolean |
None. |
| DeletedByPatient |
If this incoming secure message was deleted by a patient . |
boolean |
None. |
| DeletedByUser |
If this incoming secure message was deleted by an user . |
boolean |
None. |
| DoctorExternalId |
Doctor External ID. |
string |
None. |
| Priority |
Priority should be (Normal, High, Low). |
string |
None. |
| Status |
Status is always Sent for incoming secure messages. |
string |
None. |
| Body |
Body. |
string |
None. |
| Type |
Type should be (General, AmendmentRequest, AppointmentRequest, RefillRequest, FileSharing). |
string |
None. |
| MessageAttachmentIds |
List of message attachment Ids |
Collection of integer |
None. |
Response Formats
application/json, text/json
{
"id": "85947030-fae0-477d-97b7-50216b18f6dc",
"accountId": "74f3a00c-696f-4b08-a25c-0e66d97ffa03",
"patientId": "e5b54189-01ce-4341-a089-5f1a2bad28c0",
"patientExternalId": "sample string 5",
"patientPrefix": "sample string 7",
"patientFirstName": "sample string 8",
"patientMiddleName": "sample string 9",
"patientLastName": "sample string 10",
"patientSuffix": "sample string 11",
"patientFullName": "sample string 12",
"fromRepresentative": true,
"patientEmailAddress": "sample string 13",
"doctorExternalId": "sample string 20",
"creationDate": "2026-05-29T16:57:00.2262278+00:00",
"priority": "sample string 21",
"status": "sample string 22",
"messageRead": true,
"secureRecipientExternalId": "sample string 14",
"secureRecipientName": "sample string 15",
"subject": "sample string 16",
"body": "sample string 23",
"sentDate": "2026-05-29T16:57:00.2262278+00:00",
"deletedByUser": true,
"deletedByPatient": true,
"type": "sample string 24",
"messageAttachmentIds": [
1,
2
]
}
application/xml, text/xml
<IncomingSecureMessageModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.IncomingSecureMessages">
<AccountId>74f3a00c-696f-4b08-a25c-0e66d97ffa03</AccountId>
<Body>sample string 23</Body>
<CreationDate>2026-05-29T16:57:00.2262278+00:00</CreationDate>
<DeletedByPatient>true</DeletedByPatient>
<DeletedByUser>true</DeletedByUser>
<DoctorExternalId>sample string 20</DoctorExternalId>
<FromRepresentative>true</FromRepresentative>
<Id>85947030-fae0-477d-97b7-50216b18f6dc</Id>
<MessageAttachmentIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</MessageAttachmentIds>
<MessageRead>true</MessageRead>
<PatientEmailAddress>sample string 13</PatientEmailAddress>
<PatientExternalId>sample string 5</PatientExternalId>
<PatientFirstName>sample string 8</PatientFirstName>
<PatientFullName>sample string 12</PatientFullName>
<PatientId>e5b54189-01ce-4341-a089-5f1a2bad28c0</PatientId>
<PatientLastName>sample string 10</PatientLastName>
<PatientMiddleName>sample string 9</PatientMiddleName>
<PatientPrefix>sample string 7</PatientPrefix>
<PatientSuffix>sample string 11</PatientSuffix>
<Priority>sample string 21</Priority>
<SecureRecipientExternalId>sample string 14</SecureRecipientExternalId>
<SecureRecipientName>sample string 15</SecureRecipientName>
<SentDate>2026-05-29T16:57:00.2262278+00:00</SentDate>
<Status>sample string 22</Status>
<Subject>sample string 16</Subject>
<Type>sample string 24</Type>
</IncomingSecureMessageModel>